<img src='readme-banner.jpg' width='100%'>

# ***ND (Non-Destructive)***

ND is a Blender add-on that provides workflow enhancements, tools, operations, and generators tailored specifically for non-destructive 3D modelling. It additionally offers post-modelling workflow enhancements for external applications such as Substance Painter, Marmoset Toolbag, game engines, and more.

[![Discord](https://img.shields.io/discord/796535676136718356?style=for-the-badge&logo=discord&logoColor=white&label=Discord&color=%235865F2)](https://hugemenace.co/discord)
[![Gumroad](https://img.shields.io/badge/Gumroad-Download-pink?style=for-the-badge&logo=gumroad&logoColor=white&color=%23f795e8)
](https://hugemenace.gumroad.com/l/nd-blender-addon)
[![BlenderMarket](https://img.shields.io/badge/Blender_Market-Download-%23f6a550?style=for-the-badge&logo=blender&logoColor=white&color=%23f6a550)
](https://blendermarket.com/products/nd-addon)

## Features
- Object and edit mode operations.
- Interactive modifiers.
- Recalling modifiers to alter parameters.
- Streamlined boolean, bevel, extrusion, and replication workflows.
- Model packaging (material IDs, high & low poly, UVs.)
- Scene management (utils, overlays, visualisation modes.)
- Extensive customisation (behaviour, theming, UI.)

<p float="left">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000714-c9ee686c-0f53-4965-b355-813048396e99.gif">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000716-31e33b31-97f6-40bd-ac5f-c46e34e0b366.gif">
</p>
<p float="left">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000718-2fff8a2e-2691-488b-a59b-1c82c6073bec.gif">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000719-a2ce5d75-8bd5-47cb-a4aa-12f3a05eda00.gif">
</p>
<p float="left">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000720-565354b9-4084-49d1-95d9-9cf7a505bbbf.gif">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000721-7eeefe78-84b0-49d9-a6b8-2403b7115adc.gif">
</p>
<p float="left">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000722-f9070c93-0b05-4783-b5c6-6e5d7377c476.gif">
    <img width="49%" src="https://user-images.githubusercontent.com/77056966/165000724-20b41ae8-298b-4cc7-94a4-d151a647a2da.gif">
</p>

# Documentation

Check out the [written documentation](https://docs.nd.hugemenace.co/) — we're in the process of creating video walkthroughs of the addon & general ND/hard-surface tutorials which will be available soon! Subscribe to our [YouTube channel](https://www.youtube.com/channel/UCS9HsDPcaWQbo-4Brd7Yjmg) so you don't miss anything!

If you encounter a bug, want to send through a feature request, have feedback, or otherwise generally need support, you can get in touch on our [Discord](https://hugemenace.co/discord) server, or via [email](support@hugemenace.co).

# Contributing

1. Start by familiarising yourself with the project (build something cool with it in Blender) and read the [documentation](https://docs.nd.hugemenace.co/).
1. Have a look at the current [issues](https://github.com/hugemenace/nd/issues).
1. If you don't see anything related to your bug fix or enhancement you can [create a new issue](https://github.com/hugemenace/nd/issues/new).
1. The best way to ensure your enhancements make their way into the codebase is to chat about them in [Discord](https://hugemenace.co/discord) to gauge the general appetite of the community / maintainers based on their votes. There is also a special **#contributors** channel where you can discuss your idea further before you begin coding.

# Supporting this project
This addon is free for personal & commercial use (under the [GPLv3 license](LICENSE)). However, if you'd like to support this project financially, consider becoming a HugeMenace Patreon or purchasing this addon from Gumroad, where you can pay what you want 🌿

[![Patreon](https://img.shields.io/badge/Patreon-Support_this_project-red?style=for-the-badge&logo=patreon&logoColor=white&color=%23f3621d)](https://www.patreon.com/hugemenace)
[![Gumroad](https://img.shields.io/badge/Gumroad-Support_this_project-pink?style=for-the-badge&logo=gumroad&logoColor=white&color=%23f795e8)
](https://hugemenace.gumroad.com/l/nd-blender-addon)

## License

This project is provided ***free for personal and commercial use*** under the [GPLv3 license](LICENSE) ❤
